---
agentTools:
  projectIndex: https://adzumo.readme.io/llms.txt
---

# Edit Banner

Edit the URL of a banner in a campaign

[block:api-header]
{
  "type": "basic",
  "title": "PHP"
}
[/block]

Replace:
\[NEW\_BANNER\_URL] with the new url for the banner
\[CAMPAIGN] with the campaign ID
\[BANNER] with the banner ID of the banner you want to edit - [List all banners in a campaign](https://adzumo.readme.io/docs/advertisercampaigncampaignbanners)
\[YOUR\_API\_TOKEN] with your token

[block:code]
{
  "codes": [
    {
      "code": "<?php\n  $params = array(\n    'url'=>[NEW_BANNER_URL]\n  );\n  $curl = curl_init('https://api.adzumo.net/v1/advertiser/campaign/[CAMPAIGN]/banner/[BANNER]/edit/?token=[YOUR_API_TOKEN]');\n  curl_setopt($this->curl, CURLOPT_RETURNTRANSFER, true);\n  curl_setopt($this->curl, CURLOPT_CUSTOMREQUEST, 'PUT');\n  curl_setopt($this->curl, CURLOPT_POSTFIELDS, http_build_query($params));\n  $response = curl_exec($curl);\n  curl_close($curl);\n  var_dump($response);\n?>",
      "language": "php"
    }
  ]
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.adzumo.net/v1"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/advertiser/campaign/:campaign/banner/:banner/edit/": {
      "put": {
        "summary": "Edit Banner",
        "description": "Edit the URL of a banner in a campaign",
        "operationId": "advertisercampaigncampaignbannerbanneredit",
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "properties": {
                  "url": {
                    "type": "string",
                    "description": "The URL to change it to e.g. http://example.org"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "php",
              "code": "<?php\n  $params = array(\n    'url'=>'http://example.org'\n  );\n  $curl = curl_init('https://api.adzumo.net/v1/advertiser/campaign/1/banner/1/edit/?token=[YOUR_API_TOKEN]');\n  curl_setopt($this->curl, CURLOPT_RETURNTRANSFER, true);\n  curl_setopt($this->curl, CURLOPT_CUSTOMREQUEST, 'PUT');\n  curl_setopt($this->curl, CURLOPT_POSTFIELDS, http_build_query($params));\n  $response = curl_exec($curl);\n  curl_close($curl);\n  var_dump($response);\n?>"
            }
          ],
          "samples-languages": [
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "60f594ea7275ac0071183ac9:60f594ea7275ac0071183ad1"
}
```